Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.net
Class FilterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.security.net.FilterException

public final class FilterException
extends java.io.IOException

Connection filter exception. This exception is thrown by the ConnectionFilter.accept method if a client's connection is to be rejected.

Author:
  Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  `ConnectionFilter.accept(weblogic.security.net.ConnectionEvent)`, Serialized Form

Constructor Summary
`FilterException()` Construct a filter exception with no details.
`FilterException(java.lang.String msg)` Construct a filter exception with some details.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterException

    public FilterException()

  Construct a filter exception with no details.

### FilterException

    public FilterException(java.lang.String msg)

  Construct a filter exception with some details.

  Parameters:
    `msg` - details about why the connection was rejected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference